// CPACSetp.hpp : header file
/////////////////////////////////////////////////////////////////////////////
#ifndef _CAPCSETP_HPP_
#define _CAPCSETP_HPP_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Meca_Res.h"

/////////////////////////////////////////////////////////////////////////////
// CPA_Meca_EditorSetupDialog dialog

class CPA_Meca_EditorSetupDialog : public CDialog
{
// Construction
public:
	CPA_Meca_EditorSetupDialog(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CPA_Meca_EditorSetupDialog)
	enum { IDD = IDD_MECA_DIALOG_SETUP };
	BOOL	m_bMustDisplayModelFieldsInInstance;
	BOOL	m_bMustConfirmSuppressionInWatch;
	BOOL	m_bKeepPreviousReference;
	BOOL	m_bMustDisplayUnallocatedMS;
	BOOL	m_bMustConfirmUnallocation;
	BOOL	m_bMustConfirmAllocation;
	BOOL	m_bMustFillWhenInWatch;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPA_Meca_EditorSetupDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
public:

protected:

	// Generated message map functions
	//{{AFX_MSG(CPA_Meca_EditorSetupDialog)
	afx_msg void OnPaint();
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	virtual void OnOK();
	//}}AFX_MSG
	afx_msg long OnMyHelp(UINT, long);

private:
	BOOL m_fn_bEditColor(COLORREF &r_Color);


	DECLARE_MESSAGE_MAP()
};

#endif //_CAPCSETP_HPP_
